Name:		samsung-tools
Version:	2.2
Release:	%mkrel 3
Summary:	Tools for Samsung laptops
License:	GPLv2+
Group:		System/Configuration
URL:		https://launchpad.net/samsung-tools
Source0:	http://launchpad.net/samsung-tools/trunk/%{version}/+download/%{name}-%{version}.tar.gz
BuildRequires:	locales
Requires:	pm-utils
Requires:	dbus-python
Requires:	pygtk2.0
Requires:	python-notify
Requires:	rfkill
Requires:	xbindkeys
Requires:	vbetool
Requires(post):	rpm-helper >= 0.24.8-1
Requires(preun):rpm-helper >= 0.24.8-1

%description
'Samsung Tools' is the successor of 'Samsung Scripts' provided by the 'Linux
On My Samsung' project. It allows the complete configuration and the control
in a friendly way of devices found on Samsung netbooks (bluetooth, wireless,
webcam, backlight, CPU fan, special keys) and the control of various aspects
related to power management, like the CPU undervolting (when a PHC-enabled
kernel is available).

%prep
%setup -q

#fix rights
chmod 644 ChangeLog

%build
#nothing

%install
#without this build throws a bunch of warnings
LC_ALL=UTF-8 %makeinstall_std

#move files to a correct location
%ifarch x86_64
	mkdir -p %{buildroot}%{_libdir}
	mv %{buildroot}%{_prefix}/lib/pm-utils %{buildroot}%{_libdir}/pm-utils
%endif

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files -f %{name}.lang
%doc ChangeLog README
%{_bindir}/%{name}
%{_bindir}/%{name}-preferences
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/scripts/
%config(noreplace) %{_sysconfdir}/%{name}/session.conf
%config(noreplace) %{_sysconfdir}/%{name}/system.conf
%config(noreplace) %{_sysconfdir}/%{name}/scripts/*
%{_sysconfdir}/dbus-1/system.d/org.voria.SamsungTools.System.conf
%{_sysconfdir}/xdg/autostart/%{name}-session-service.desktop
%{_libdir}/pm-utils/power.d/%{name}*
%{_libdir}/pm-utils/sleep.d/20_%{name}
%{_datadir}/applications/%{name}-preferences.desktop
%{_datadir}/dbus-1/*/org.voria.SamsungTools.*.service
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2-3.mga4
+ Revision: 531542
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 wally <wally> 2.2-2.mga4
+ Revision: 463876
- new version 2.2
- use systemd unit from upstream
- no more noarch

* Wed Jan 23 2013 fwang <fwang> 2.1-8.mga3
+ Revision: 391314
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 2.1-7.mga3
+ Revision: 381683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 10 2012 wally <wally> 2.1-6.mga3
+ Revision: 280352
- fix shebangs in service scripts

* Sat Apr 28 2012 tmb <tmb> 2.1-5.mga2
+ Revision: 233855
- Require rpm-helper >= 0.24.8-1 for systemd support

* Thu Mar 22 2012 wally <wally> 2.1-4.mga2
+ Revision: 225742
- tag more config files as config ones

* Thu Mar 22 2012 wally <wally> 2.1-3.mga2
+ Revision: 225738
- tag config files as config ones

* Wed Mar 21 2012 wally <wally> 2.1-2.mga2
+ Revision: 225218
- add systemd support to load initial device statuses on boot

* Fri Mar 16 2012 wally <wally> 2.1-1.mga2
+ Revision: 223693
- imported package samsung-tools

